/* front-end include file for Amiga audio samples created by Karl's
 * IFF 8SVX to C source converter.  19 June 87
 */

#ifndef SAMPLE_H

#define SAMPLE_H

#ifndef I8SVX_H
#include "8svx.h"
#endif

/* sample flags */
#define SAMPLE_ALLOCATED_IN_CHIP_RAM 1
#define SAMPLE_ALLOCATED_IN_FAST_RAM 2
#define SAMPLE_COPIED_INTO_CHIP_RAM 4
#define PURGE_SAMPLE_AFTER_PLAYING 8

typedef struct sample_struct
{
	struct Node node;
	Voice8Header sampleheader;
	struct sample_struct *nextsample;
	short sample_flags;
	char *sampledata;
	char *fastsampledata;
	LONG samplebytes;
	int chip_use_count;
#ifndef NOAUDIT
	short magic;
#endif
} Sample;



#define SAMPLE_MAGIC 17385

#ifndef NOAUDIT
#define ASSERT_SAMPLE_MAGIC(x) assert(x->magic == SAMPLE_MAGIC);
#else
#define ASSERT_SAMPLE_MAGIC(x)
#endif

#endif

/* end of sample.h */
